## org.apache.hadoop.io.nativeio
Class NativeIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.io.nativeio.NativeIOException

All Implemented Interfaces:
  Serializable

    public class NativeIOException

extends IOException

An exception generated by a call to the native IO code. These exceptions simply wrap errno result codes.

See Also:
  Serialized Form

Constructor Summary
`NativeIOException(String msg, Errno errno)`

Method Summary
`Errno` `getErrno()`
`String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeIOException

    public NativeIOException(String msg,
                             Errno errno)

Method Detail

### getErrno

    public Errno getErrno()

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Copyright © 2009 The Apache Software Foundation